Subject: Re: bug#65348: INITIAL-INPUT in completing-read repeats same entry twice consecutively

From: Eli Zaretskii <[email-masked]>
Date: Thu, 17 Aug 2023 08:49:21 +0300

> Date: Thu, 17 Aug 2023 00:47:28 +0000
> From:  Heime via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> 
> Have seen that when I include INITIAL-INPUT that happens to be the first entry 
> in the collection COLLECJ, the entry "barwedge" is displayed twice consecutively.
> 
> But such situation does not happen when selecting a different entry from collection.
> 
> (let ( (collecj '("barwedge"  "boxdot"  "boxminus"  "boxplus"
>                   "boxtimes"  "Cap"  "centerdot" "circledast"
> 
>   (completing-read "Grapheme: " collecj nil t "barwedge")

Sorry, I don't understand what you are saying.  What do you mean by
"is displayed twice consecutively"?  I guess some details are missing
from your report to make it complete and self-explanatory?